Package de.willuhn.jameica.hbci.server

# Class DBPropertyUtil

java.lang.Object
de.willuhn.jameica.hbci.server.DBPropertyUtil

public class DBPropertyUtil extends Object
Hilfsklasse zum Laden und Speichern der Properties.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DBPropertyUtil.HBCITypedProperties`
Ueberschrieben, weil boolsche Werte in den BPD mit "J","N" statt "true","false" gespeichert sind.
`static enum`
`DBPropertyUtil.Prefix`
Definition der Prefixe.
`static class`
`DBPropertyUtil.Update`
Kapselt die Update-Stats.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`KEY_CACHE_UPDATE`
Der Key, in dem wir den Timestamp mit dem letzten Cache-Update speichern.
`static final char`
`SEP`
Separator-Zeichen fuer die Properties.

## Constructor Summary

Constructors
Constructor
Description
`DBPropertyUtil()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`delete(DBPropertyUtil.Prefix prefix, String scope, String id)`
Loescht alle passenden Parameter, deren Namen mit dem angegebenen Prefix beginnt und die der Kundenkennung zugeordnet sind.
`static int`
`deleteAll(DBPropertyUtil.Prefix prefix)`
Loescht alle Parameter, deren Namen mit dem angegebenen Prefix beginnt.
`static int`
`deleteScope(DBPropertyUtil.Prefix prefix, String scope)`
Loescht alle passenden Parameter.
`static String`
`get(DBPropertyUtil.Prefix prefix, String scope, String id, String name, String defaultValue)`
Liefert den Wert des Parameters.
`static boolean`
`insert(DBPropertyUtil.Prefix prefix, String scope, String id, String name, String value)`
Legt ein Property neu an.
`static void`
`set(DBPropertyUtil.Prefix prefix, String scope, String id, String name, String value)`
Speichert ein Property.
`static DBPropertyUtil.Update`
`updateScope(DBPropertyUtil.Prefix prefix, String scope, Properties update)`
Aktualisiert die Parameter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SEP

public static final char SEP
Separator-Zeichen fuer die Properties.

See Also:
  - Constant Field Values

### KEY_CACHE_UPDATE

public static final String KEY_CACHE_UPDATE
Der Key, in dem wir den Timestamp mit dem letzten Cache-Update speichern.

See Also:
  - Constant Field Values

## Constructor Details

### DBPropertyUtil

public DBPropertyUtil()

## Method Details

### insert

public static boolean insert(DBPropertyUtil.Prefix prefix, String scope, String id, String name, String value) throws RemoteException
Legt ein Property neu an. Es wird vorher nicht gesucht, ob es bereits existiert.

Parameters:
  `prefix` - der Prefix.
  `scope` - der Scope.
  `id` - optionale ID.
  `name` - Name des Property.
  `value` - Wert des Property.
Returns:
  true, wenn der Parameter angelegt wurde.
Throws:
  `RemoteException`

### set

public static void set(DBPropertyUtil.Prefix prefix, String scope, String id, String name, String value) throws RemoteException
Speichert ein Property.

Parameters:
  `prefix` - der Prefix.
  `scope` - der Scope.
  `id` - optionale ID.
  `name` - Name des Property.
  `value` - Wert des Property.
Throws:
  `RemoteException`

### get

public static String get(DBPropertyUtil.Prefix prefix, String scope, String id, String name, String defaultValue) throws RemoteException
Liefert den Wert des Parameters.

Parameters:
  `prefix` - der Prefix.
  `scope` - der Scope.
  `id` - optionale ID.
  `name` - Name des Property.
  `defaultValue` - Default-Wert, wenn der Parameter nicht existiert oder keinen Wert hat.
Returns:
  Wert des Parameters.
Throws:
  `RemoteException`

### deleteAll

public static int deleteAll(DBPropertyUtil.Prefix prefix) throws RemoteException
Loescht alle Parameter, deren Namen mit dem angegebenen Prefix beginnt.

Parameters:
  `prefix` - der prefix.
Returns:
  die Anzahl der geloeschten Datensaetze.
Throws:
  `RemoteException`

### deleteScope

public static int deleteScope(DBPropertyUtil.Prefix prefix, String scope) throws RemoteException
Loescht alle passenden Parameter.

Parameters:
  `prefix` - der Prefix.
  `scope` - einschraenkender Scope.
Returns:
  die Anzahl der geloeschten Datensaetze.
Throws:
  `RemoteException`

### updateScope

public static DBPropertyUtil.Update updateScope(DBPropertyUtil.Prefix prefix, String scope, Properties update) throws RemoteException
Aktualisiert die Parameter.

Parameters:
  `prefix` - der Prefix.
  `scope` - einschraenkender Scope.
  `update` - die Updates. Parameter, die in den Updates enthalten sind, in der lokalen Datenbank jedoch noch nicht, werden neu angelegt. Parameter, die in der lokalen Datenbank enthalten sind, im Update jedoch nicht mehr, werden geloescht. Parameter, die in den Updates einen anderen Wert haben, werden in der lokalen Datenbank aktualisiert.
Returns:
  die Update-Statistik.
Throws:
  `RemoteException`

### delete

public static int delete(DBPropertyUtil.Prefix prefix, String scope, String id) throws RemoteException
Loescht alle passenden Parameter, deren Namen mit dem angegebenen Prefix beginnt und die der Kundenkennung zugeordnet sind.

Parameters:
  `prefix` - der Prefix.
  `scope` - einschraenkender Scope.
  `id` - optionale Angabe der ID.
Returns:
  die Anzahl der geloeschten Datensaetze.
Throws:
  `RemoteException`